Bug 143309 - /etc/X11/xorg.conf lost in upgrade
/etc/X11/xorg.conf lost in upgrade
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Triaged
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2004-12-18 11:31 EST by John Ellson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-15 05:47:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Ellson 2004-12-18 11:31:57 EST
Description of problem:
After updating to today's fedora-devel rpms, /etc/X11/xorg
had been replaced and the old one lost.   I'm just guessing that it
was today's xorg upgrade that was responsible.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:
At least preserve the old xorg.conf and warn the user.

Additional info:
Comment 1 Joel Rittvo 2004-12-18 19:08:38 EST
My old xorg.conf _was_ saved as xorg.conf.backup by the upgrade process.

Given that the new xorg.conf file the upgrade set for use did not
actually work for me, it would have been better for it to leave what
it found alone, and save its new version as xorg.conf.new, IMO.
Comment 2 Sammy 2004-12-19 14:28:35 EST
I can confirm this too. At the end I got a blank display since I don't use 
xfs and the default conf file uses it.  
Comment 3 Mike A. Harris 2004-12-20 12:59:12 EST
Hrm.  The upgrade procedure should *not* remove or rename the
existing xorg.conf file.  If this is happening, there must
be a bug somewhere, but as far as I know, the upgrade scripts that
process the config files haven't changed, so it's odd if this is
only turning up now.  ;o/

Will investigate and report back.  Thanks for your report!
Comment 5 Mike A. Harris 2005-03-15 05:47:52 EST
The code in the xorg-x11 rpm scripts that modifies the
xorg.conf files and handles XFree86 config file upgrading
to xorg.conf appears to be completely in tact and correct.

I am not able to reproduce this problem upgrading from FC2
to FC3, nor from upgrading from FC3 to various builds of
xorg-x11 made since that time.  Since the problem has only
been reported by a couple of people, I can only assume you've
upgraded from an old beta release or something perhaps with
broken trigger scripts or somesuch.

I'm closing this as "WORKSFORME", however if you still can
reproduce this and can provide a 100% reproduceable test case
from a stable OS installation, and provide the steps to
reproduce it, feel free to reopen the report and we can
attempt to reproduce it again.

Note You need to log in before you can comment on or make changes to this bug.